---
title: Event.stopImmediatePropagation()
slug: Web/API/Event/stopImmediatePropagation
tags:
  - API
  - Event
  - Level 3
  - Method
  - Reference
  - stopImmediatePropagation
---
<div>{{APIRef("DOM")}}</div>

<p>The <code><strong>stopImmediatePropagation()</strong></code> method of the {{domxref("Event")}} interface prevents other listeners of the same event from being called.</p>

<p>If several listeners are attached to the same element for the same event type, they are called in the order in which they were added. If <code>stopImmediatePropagation()</code> is invoked during one such call, no remaining listeners will be called.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox"><em>event</em>.stopImmediatePropagation();</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('DOM WHATWG', '#dom-event-stopimmediatepropagation', 'Event.stopImmediatePropagation()')}}</td>
   <td>{{Spec2('DOM WHATWG')}}</td>
   <td> </td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.Event.stopImmediatePropagation")}}</p>
